html,
body {
    margin: 0;
    padding: 0;
}

* {
   box-sizing: border-box;
}

*:before,
*:after {
    box-sizing: border-box;
}

.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    background: #999;
}

.ico-svg {
    position: relative;
    display: inline-block;
    width: auto;
    height: 100%;
    -webkit-transform: translate(0, 0);
    transform: translate(0, 0);
}

.widget-call {
    --color-primary:        #0acbd7;
    --color-light:          #ffffff;
    --color-gray:           #a4a7aa;
    --color-text-dark:      #4c4c4c;
    --color-text-light:     #ffffff;
    --font-primary:         Arial, sans-serif;

    font-family: var(--font-primary);
}

.lt-xbutton-label {
    font-size: 0;
    line-height: 0;
    display: inline-block;
}

// Checkbox

.pretty-checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    display: inline-block;
    position: relative;

    &-input {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        opacity: 0;
        visibility: hidden;
        overflow: hidden;
        position: absolute;

        &:checked + .pretty-checkbox-text {

            &:after {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    &-text {
        color: var(--color-gray);
        font-size: 9px;
        line-height: 10px;
        padding-left: 16px;
        display: inline-block;

        &:before {
            top: 0;
            left: 0;
            content: '';
            width: 10px;
            height: 10px;
            position: absolute;
            border: 1px solid var(--color-gray);
        }

        &:after {
            top: 2px;
            left: 3px;
            z-index: 5;
            content: '';
            width: 4px;
            height: 4px;
            border-left: 1px solid #444;
            border-bottom: 1px solid #444;
            position: absolute;
            transform: rotate(-40deg);
            opacity: 0;
            visibility: hidden;
        }

        a {
            color: var(--color-gray);
            text-decoration: underline;

            &:hover {
                color: var(--color-gray);
                text-decoration: none;
            }
        }
    }

    &--md {

        .pretty-checkbox-text {
            font-size: 11px;
            line-height: 14px;
            padding-left: 20px;

            &:before {
                width: 14px;
                height: 14px;
            }

            &:after {
                width: 6px;
                height: 6px;
                top: 3px;
                left: 4px;
            }
        }
    }
}


.lt-callback-sticky {
    z-index: 900;
    right: 0;
    top: calc(50% - 15px);
    position: fixed;

    &.-lt-inverse- {
        right: auto;
        left: 30px;

        .lt-callback-toggle {
            transform: rotate(90deg);
        }
    }
}

.lt-callback-toggle {
    border: none;
    outline: none;
    padding: 5px 12px;
    font-size: 14px;
    line-height: 20px;
    width: 150px;
    right: -60px;
    cursor: pointer;
    position: absolute;
    display: inline-block;
    border-radius: 12px 12px 0 0;
    color: var(--color-text-light);
    background: var(--color-primary);
    transform: rotate(270deg);
}

.lt-callback-overlay {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    position: fixed;
    padding: 20px;
    overflow-y: auto;
    background: rgba(0, 0, 0, 0.7);
    backdrop-filter: blur(5px);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    visibility: hidden;
}

.lt-callback-layout {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
    position: absolute;
    background: transparent;
}

.lt-callback-modal {
    z-index: 100;
    width: 100%;
    max-width: 400px;
    position: relative;
    background: $white;
    padding: 40px 40px;
    transform: scale(0.1);
    transition: .3s;
}

.lt-callback-modal-success {
    padding: 70px 40px;

    .lt-callback-text {
        margin-bottom: 0;
    }
}

.lt-callback-title {
    text-align: center;
    font-weight: 700;
    font-size: 18px;
    line-height: 22px;
    margin-bottom: 4px;
}

.lt-callback-text {
    text-align: center;
    font-size: 14px;
    line-height: 20px;
    margin-bottom: 20px;
}

.lt-callback-field {
    margin-bottom: 10px;
}

.lt-callback-input {
    display: block;
    width: 100%;
    border: 1px solid #ccc;
    box-shadow: inset 0 1px 1px rgba(0,0,0,0.07);
    font-size: 14px;
    line-height: 20px;
    height: 38px;
    padding: 8px 10px;
    outline: none !important;
    background: #fff;
    color: #000;
    border-radius: 3px;
    background-clip: padding-box;

    &:focus {
        border: 1px solid rgba(0,0,0,0.3);
    }
}

.lt-callback-button {
    margin-bottom: 5px;
}

.lt-callback-btn {
    width: 100%;
    height: 38px;
    border: none;
    outline: none;
    cursor: pointer;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    text-transform: uppercase;
    background: var(--color-primary);
}

.lt-callback-close {
    top: 0;
    right: 0;
    margin: 0;
    padding: 0;
    z-index: 10;
    width: 32px;
    height: 32px;
    border: none;
    cursor: pointer;
    outline: none;
    display: block;
    position: absolute;
    background: transparent;

    &:after,
    &:before {
        top: calc(50% - 1px);
        left: calc(50% - 10px);
        width: 20px;
        height: 2px;
        content: '';
        background: #444;
        position: absolute;
    }

    &:after {
        transform: rotate(45deg);
    }

    &:before {
        transform: rotate(-45deg);
    }
}

.-lt-callback-open- {
    overflow: hidden;

    .lt-callback-form {
        opacity: 1;
        visibility: visible;
    }

    .lt-callback-modal {
        transform: scale(1);
        transition: .3s;
    }

    @media (min-width: 750px) {
        overflow: auto;
    }
}

.lt-callback-mobile {

    @media (min-width: 750px) {
        display: none;
    }
}

.-lt-success-open- {

    .lt-callback-success {
        opacity: 1;
        visibility: visible;
    }

    .lt-callback-modal {
        transform: scale(1);
        transition: .3s;
    }
}


.lt-xbutton-main-wrapper {

    &.-inverse- {
        left: 80px;
        right: auto;
    }
}
